Bug 1283844 - [abrt] nautilus: gtk_widget_set_visible(): nautilus killed by SIGSEGV
[abrt] nautilus: gtk_widget_set_visible(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cc835f4a1ede38ff903871edff1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 00:09 EST by NMueller
Modified: 2016-12-20 11:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:07:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.88 KB, text/plain)
2015-11-20 00:09 EST, NMueller
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: core_backtrace (21.43 KB, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: dso_list (14.66 KB, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: environ (980 bytes, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: maps (69.14 KB, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: open_fds (3.43 KB, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details
File: var_log_messages (305 bytes, text/plain)
2015-11-20 00:10 EST, NMueller
no flags Details

  None (edit)
Description NMueller 2015-11-20 00:09:49 EST
Description of problem:
I opened a new window by right-clicking "Open in new window". Then, in the original window, I changed the current folder by clicking on a different folder in the top bar of Nautilus.

Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_widget_set_visible
executable:     /usr/bin/nautilus
global_pid:     3838
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_set_visible at gtkwidget.c:8876
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 g_cclosure_marshal_generic at gclosure.c:1487
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:525
 #10 g_cclosure_marshal_generic at gclosure.c:1487
 #20 g_object_notify_by_spec_internal at gobject.c:1154
 #21 g_object_notify at gobject.c:1202
 #22 g_simple_action_set_enabled at gsimpleaction.c:559
Comment 1 NMueller 2015-11-20 00:09:57 EST
Created attachment 1096991 [details]
File: backtrace
Comment 2 NMueller 2015-11-20 00:10:00 EST
Created attachment 1096992 [details]
File: cgroup
Comment 3 NMueller 2015-11-20 00:10:03 EST
Created attachment 1096993 [details]
File: core_backtrace
Comment 4 NMueller 2015-11-20 00:10:07 EST
Created attachment 1096994 [details]
File: dso_list
Comment 5 NMueller 2015-11-20 00:10:09 EST
Created attachment 1096995 [details]
File: environ
Comment 6 NMueller 2015-11-20 00:10:12 EST
Created attachment 1096996 [details]
File: exploitable
Comment 7 NMueller 2015-11-20 00:10:15 EST
Created attachment 1096997 [details]
File: limits
Comment 8 NMueller 2015-11-20 00:10:20 EST
Created attachment 1096998 [details]
File: maps
Comment 9 NMueller 2015-11-20 00:10:23 EST
Created attachment 1096999 [details]
File: mountinfo
Comment 10 NMueller 2015-11-20 00:10:25 EST
Created attachment 1097000 [details]
File: namespaces
Comment 11 NMueller 2015-11-20 00:10:28 EST
Created attachment 1097001 [details]
File: open_fds
Comment 12 NMueller 2015-11-20 00:10:31 EST
Created attachment 1097002 [details]
File: proc_pid_status
Comment 13 NMueller 2015-11-20 00:10:34 EST
Created attachment 1097003 [details]
File: var_log_messages
Comment 14 Milan Bouchet-Valat 2016-02-10 05:37:20 EST
Similar problem has been detected:

I tried to open a new tab by right-clicking on the breadcrumbs (path) button on the top of the window.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_widget_set_visible
executable:     /usr/bin/nautilus
global_pid:     26614
kernel:         4.4.0-1.fc24.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fabrício Godoy 2016-04-14 15:06:41 EDT
Similar problem has been detected:

Opened a new tab to the parent of current folder, tried to drag and drop child folder tab to another window and it was moved to a new window. Then I closed the new window and clicked on child folder on navigation bar.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gtk_widget_set_visible
executable:     /usr/bin/nautilus
global_pid:     18181
kernel:         4.4.6-301.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 08:36:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:07:18 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.